Copyright: distributable
Source: rhl-ig-s390-en-%{version}.tbz
Release: 1
Name: rhl-ig-s390-en
Group: Documentation
Version: 7.2
Summary: The Red Hat Linux %{version} S/390 Installation Guide in HTML format.
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The %{name} package contains the Red Hat Linux %{version} S/390
Installation Guide in HTML format.  An online copy of the Red Hat Linux
%{version} S/390 Installation Guide is available from the Red Hat
Docs web page at http://www.redhat.com/docs/.

Install the %{name} package if you would like to use
an HTML version of the S/390 Installation Guide from your own machine.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Documentation/"Official Red Hat Linux"

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Documentation/"Official Red Hat Linux"/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Red Hat Linux S/390 Installation Guide (en)
Comment=The manual for installing Red Hat Linux (in English, on S/390)
Exec=/usr/bin/netscape file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/usr/share/pixmaps/redhat/shadowman-round-mini.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir /etc/X11/applnk/Documentation
%dir "/etc/X11/applnk/Documentation/Official Red Hat Linux"
"/etc/X11/applnk/Documentation/Official Red Hat Linux/%{name}.desktop"
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Wed Sep 25 2001 Tammy Fox <tfox@redhat.com>
- Creation of spec file
